Summary:	Open connection through firewall on specified signal
Name:		knock
Version:	0.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Other
URL:		https://github.com/jvinet/knock
Source0:	https://github.com/jvinet/knock/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:	knockd.service
Source2:	knockd.logrotate

BuildRequires:	libpcap-devel
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
knock is a server/client set that implements the idea known as port-
knocking. Port-knocking is a method of accessing a backdoor to your
firewall through a special sequence of port hits. This can be useful
for opening up temporary holes in a restrictive firewall for SSH
access or similar.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%_unitdir
install -m 744 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}d.service

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}d

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/%{name} <<EOF
# Options to pass to knockd
OPTIONS=""
EOF

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%files
%doc ChangeLog COPYING README.md TODO
%config(noreplace) %{_sysconfdir}/%{name}d.conf
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}d.service
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}d
%{_bindir}/%{name}
%{_sbindir}/%{name}d
%{_sbindir}/%{name}_helper_ipt.sh
%{_mandir}/man1/*


%changelog
* Fri Apr 12 2024 danf <danf> 0.8-3.mga10
+ Revision: 2056650
- Switch to systemd unit from initscripts (based on Fedora)
- Update URLs

* Tue Mar 29 2022 umeabot <umeabot> 0.8-2.mga9
+ Revision: 1831194
- Mageia 9 Mass Rebuild

* Thu May 20 2021 daviddavid <daviddavid> 0.8-1.mga9
+ Revision: 1725745
- new version: 0.8

* Thu Feb 13 2020 umeabot <umeabot> 0.7-3.mga8
+ Revision: 1513749
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7-2.mga7
+ Revision: 1298605
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 daviddavid <daviddavid> 0.7-1.mga7
+ Revision: 1170080
- new version: 0.7

* Mon Feb 08 2016 umeabot <umeabot> 0.5-14.mga6
+ Revision: 945551
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-13.mga5
+ Revision: 747568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-12.mga5
+ Revision: 681142
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-11.mga4
+ Revision: 506683
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5-10.mga3
+ Revision: 356367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 14 2011 nanardon <nanardon> 0.5-9.mga1
+ Revision: 98683
- imported package knock

